#!/usr/bin/env ruby
# encoding: utf-8

module Coopy
  class SqlColumn 
    
    def initialize
      @name = ""
      @primary = false
      @type_value = nil
      @type_family = nil
    end
    
    attr_accessor :name
    attr_accessor :primary
    attr_accessor :type_value
    attr_accessor :type_family
    
    def set_name(name)
      @name = name
    end
    
    def set_primary_key(primary)
      @primary = primary
    end
    
    def set_type(value,family)
      @type_value = value
      @type_family = family
    end
    
    def get_name 
      @name
    end
    
    def is_primary_key 
      @primary
    end
    
    def to_s 
      _hx_str((((@primary) ? "*" : ""))) + _hx_str(@name)
    end
    
  haxe_me ["coopy", "SqlColumn"]
  end

end
