#!/usr/bin/env ruby
# encoding: utf-8

module Rb
  class Boot 
    
    # protected - in ruby this doesn't play well with static/inline methods
    
    def Boot.__trace(v,i)
      if i != nil 
        puts "#{v} #{i.inspect}"
      else 
        puts v
      end
    end
    
    public
    
    def Boot.__instanceof(o,cl)
      return false if cl == nil
      if cl == Integer 
        return o.is_a? 0.class
      elsif cl == Float 
        return o.is_a?(Float) || o.is_a?(0.class)
      elsif cl == TrueClass 
        return ((o.is_a? TrueClass)||(o.is_a? FalseClass))
      elsif cl == String 
        return o.is_a? String
      else 
        return true if cl == Object
        return false if o == nil
        return o.is_a?(cl)
      end
    end
    
  haxe_me ["rb", "Boot"]
  end

end
